curl --request POST \
--url https://{host}/api/v1/badges/{badge_id}/assign \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"type": "Content",
"user_email": "jane@example.com",
"verification_url": "https://example.com/certificates/42"
}
'import requests
url = "https://{host}/api/v1/badges/{badge_id}/assign"
payload = {
"id": 1,
"type": "Content",
"user_email": "jane@example.com",
"verification_url": "https://example.com/certificates/42"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
type: 'Content',
user_email: 'jane@example.com',
verification_url: 'https://example.com/certificates/42'
})
};
fetch('https://{host}/api/v1/badges/{badge_id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/badges/{badge_id}/assign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 1,
'type' => 'Content',
'user_email' => 'jane@example.com',
'verification_url' => 'https://example.com/certificates/42'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/v1/badges/{badge_id}/assign"
payload := strings.NewReader("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\",\n \"verification_url\": \"https://example.com/certificates/42\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/v1/badges/{badge_id}/assign")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\",\n \"verification_url\": \"https://example.com/certificates/42\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/v1/badges/{badge_id}/assign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\",\n \"verification_url\": \"https://example.com/certificates/42\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Badge #1 assigned to Content #2"
}{
"errors": "Badge not found"
}{
"errors": {
"base": [
"Badge type does not match the assigned record"
]
}
}Assign a badge
Assigns a badge to a piece of content or to a user. Identify the target either by id and type, or, for a user, by email address. The badge type must match the type of the target
curl --request POST \
--url https://{host}/api/v1/badges/{badge_id}/assign \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"type": "Content",
"user_email": "jane@example.com",
"verification_url": "https://example.com/certificates/42"
}
'import requests
url = "https://{host}/api/v1/badges/{badge_id}/assign"
payload = {
"id": 1,
"type": "Content",
"user_email": "jane@example.com",
"verification_url": "https://example.com/certificates/42"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
type: 'Content',
user_email: 'jane@example.com',
verification_url: 'https://example.com/certificates/42'
})
};
fetch('https://{host}/api/v1/badges/{badge_id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/badges/{badge_id}/assign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 1,
'type' => 'Content',
'user_email' => 'jane@example.com',
'verification_url' => 'https://example.com/certificates/42'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/v1/badges/{badge_id}/assign"
payload := strings.NewReader("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\",\n \"verification_url\": \"https://example.com/certificates/42\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/v1/badges/{badge_id}/assign")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\",\n \"verification_url\": \"https://example.com/certificates/42\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/v1/badges/{badge_id}/assign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 1,\n \"type\": \"Content\",\n \"user_email\": \"jane@example.com\",\n \"verification_url\": \"https://example.com/certificates/42\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Badge #1 assigned to Content #2"
}{
"errors": "Badge not found"
}{
"errors": {
"base": [
"Badge type does not match the assigned record"
]
}
}Authorizations
API authentication using your community API secret. The value below is sent as the Authorization header verbatim, so paste the whole header value including the prefix: Token token=
Path Parameters
The badge id, or the third-party reference of its call to action
Body
The record to assign the badge to
The id of the record to assign the badge to
1
The type of the record to assign the badge to
"Content"
Assigns the badge to the user with this email address. Use instead of id and type
"jane@example.com"
Optional URL where the assignment can be verified
"https://example.com/certificates/42"
Response
The badge was assigned
"Badge #1 assigned to Content #2"

